-- écrit le 13/09/2024 par Lukian Leizour
-- ce programme doit tourner sur un ESP32 sous LUARTOS

-- fonction permettant d'allumer une led sur l'ESP32 sur une patte donnée
function pinon(pin) -- pin : la patte sur laquelle la led est branchée
	pio.pin.setdir(pio.OUTPUT, pin) -- permet d'indiquer que la patte sert de sortie
	pio.pin.sethigh(pin)            -- permet de mettre la tension au max
end

-- fonction permettant d'eteindre une led sur l'ESP32 sur une patte donnée
function pinoff(pin) -- pin : la patte sur laquelle la led est branchée
	pio.pin.setdir(pio.OUTPUT, pin) -- permet d'indiquer que la patte GPIO2 sert de sortie
	pio.pin.setlow(pin)             -- permet de mettre la tension au minimum
end

-- fonction permettant de faire clignoter la led de l'ESP32
function pinblink (pin, n, delay) -- pin : la patte de sortie; n : int, nombre d'itérations; delay : le temps en ms que la led reste allumé et étteinte
	for i=1,n do
		pinon(pin)         -- appel de la fonction ledon
		tmr.delayms(delay) -- le programme attend en fonction du délai donné
		pinoff(pin)        -- appel de la fonctio ledoff
		tmr.delayms(delay) -- le programme attend en fonction du délai donné
	end
end
